166 items
NAME ↑ SIZE MODIFIED PERMS ACTIONS
.. / Parent Directory
mergetools — dir
2026-06-03 22:20 · rwxr-xr-x
2026-06-03 22:20 rwxr-xr-x
git LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-add LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-am LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-annotate LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-apply LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-archive LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-bisect LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-blame LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-branch LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-bugreport LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-bundle LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-cat-file LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-check-attr LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-check-ignore LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-check-mailmap LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-check-ref-format LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-checkout LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-checkout--worker LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-checkout-index LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-cherry LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-cherry-pick LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-clean LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-clone LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-column LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-commit LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-commit-graph LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-commit-tree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-config LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-contacts — 4.4 KB
2025-06-13 22:20 · rwxr-xr-x
4.4 KB 2025-06-13 22:20 rwxr-xr-x
git-count-objects LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-credential LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-credential-cache LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-credential-cache--daemon LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-credential-netrc — 10.69 KB
2025-07-21 16:25 · rwxr-xr-x
10.69 KB 2025-07-21 16:25 rwxr-xr-x
git-credential-store LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-describe LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-diagnose LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-diff LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-diff-files LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-diff-index LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-diff-tree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-difftool LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-difftool--helper — 2.77 KB
2025-07-21 16:25 · rwxr-xr-x
2.77 KB 2025-07-21 16:25 rwxr-xr-x
git-fast-export LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-fast-import LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-fetch LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-fetch-pack LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-filter-branch — 15.49 KB
2025-07-21 16:25 · rwxr-xr-x
15.49 KB 2025-07-21 16:25 rwxr-xr-x
git-fmt-merge-msg LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-for-each-ref LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-for-each-repo LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-format-patch LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-fsck LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-fsck-objects LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-fsmonitor--daemon LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-gc LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-get-tar-commit-id LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-grep LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-hash-object LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-help LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-hook LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-http-backend — 795.89 KB
2025-07-21 16:25 · rwxr-xr-x
795.89 KB 2025-07-21 16:25 rwxr-xr-x
git-http-fetch — 874.36 KB
2025-07-21 16:25 · rwxr-xr-x
874.36 KB 2025-07-21 16:25 rwxr-xr-x
git-http-push — 1.19 MB
2025-07-21 16:25 · rwxr-xr-x
1.19 MB 2025-07-21 16:25 rwxr-xr-x
git-imap-send — 857.29 KB
2025-07-21 16:25 · rwxr-xr-x
857.29 KB 2025-07-21 16:25 rwxr-xr-x
git-index-pack LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-init LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-init-db LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-interpret-trailers LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-log LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-ls-files LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-ls-remote LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-ls-tree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-mailinfo LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-mailsplit LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-maintenance LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge-base LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge-file LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge-index LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge-octopus — 2.42 KB
2025-07-21 16:25 · rwxr-xr-x
2.42 KB 2025-07-21 16:25 rwxr-xr-x
git-merge-one-file — 3.61 KB
2025-07-21 16:25 · rwxr-xr-x
3.61 KB 2025-07-21 16:25 rwxr-xr-x
git-merge-ours LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge-recursive LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge-resolve — 1.2 KB
2025-07-21 16:25 · rwxr-xr-x
1.2 KB 2025-07-21 16:25 rwxr-xr-x
git-merge-subtree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-merge-tree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-mergetool — 11.42 KB
2025-07-21 16:25 · rwxr-xr-x
11.42 KB 2025-07-21 16:25 rwxr-xr-x
git-mergetool--lib — 10.48 KB
2025-07-21 16:25 · rw-r--r--
10.48 KB 2025-07-21 16:25 rw-r--r--
git-mktag LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-mktree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-multi-pack-index LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-mv LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-name-rev LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-notes LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-pack-objects LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-pack-redundant LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-pack-refs LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-patch-id LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-prune LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-prune-packed LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-pull LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-push LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-quiltimport — 3.61 KB
2025-07-21 16:25 · rwxr-xr-x
3.61 KB 2025-07-21 16:25 rwxr-xr-x
git-range-diff LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-read-tree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-rebase LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-receive-pack LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-reflog LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-refs LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-remote LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-remote-ext LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-remote-fd LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-remote-ftp LINK — 911.29 KB
2025-07-21 16:25 · rwxr-xr-x
911.29 KB 2025-07-21 16:25 rwxr-xr-x
git-remote-ftps LINK — 911.29 KB
2025-07-21 16:25 · rwxr-xr-x
911.29 KB 2025-07-21 16:25 rwxr-xr-x
git-remote-http — 911.29 KB
2025-07-21 16:25 · rwxr-xr-x
911.29 KB 2025-07-21 16:25 rwxr-xr-x
git-remote-https LINK — 911.29 KB
2025-07-21 16:25 · rwxr-xr-x
911.29 KB 2025-07-21 16:25 rwxr-xr-x
git-repack LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-replace LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-replay LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-request-pull — 4.05 KB
2025-07-21 16:25 · rwxr-xr-x
4.05 KB 2025-07-21 16:25 rwxr-xr-x
git-rerere LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-reset LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-restore LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-rev-list LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-rev-parse LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-revert LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-rm LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-send-pack LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-sh-i18n — 1.64 KB
2025-07-21 16:25 · rw-r--r--
1.64 KB 2025-07-21 16:25 rw-r--r--
git-sh-i18n--envsubst — 770.7 KB
2025-07-21 16:25 · rwxr-xr-x
770.7 KB 2025-07-21 16:25 rwxr-xr-x
git-sh-setup — 8.2 KB
2025-07-21 16:25 · rw-r--r--
8.2 KB 2025-07-21 16:25 rw-r--r--
git-shell LINK — 770.68 KB
2025-07-21 16:25 · rwxr-xr-x
770.68 KB 2025-07-21 16:25 rwxr-xr-x
git-shortlog LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-show LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-show-branch LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-show-index LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-show-ref LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-sparse-checkout LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-stage LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-stash LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-status LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-stripspace LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-submodule — 10.78 KB
2025-07-21 16:25 · rwxr-xr-x
10.78 KB 2025-07-21 16:25 rwxr-xr-x
git-submodule--helper LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-switch LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-symbolic-ref LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-tag LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-unpack-file LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-unpack-objects LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-update-index LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-update-ref LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-update-server-info LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-upload-archive LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-upload-pack LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-var LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-verify-commit LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-verify-pack LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-verify-tag LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-version LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-web--browse — 4.3 KB
2025-07-21 16:25 · rwxr-xr-x
4.3 KB 2025-07-21 16:25 rwxr-xr-x
git-whatchanged LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-worktree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
git-write-tree LINK — 4.06 MB
2025-07-21 16:25 · rwxr-xr-x
4.06 MB 2025-07-21 16:25 rwxr-xr-x
scalar LINK — 819.34 KB
2025-07-21 16:25 · rwxr-xr-x
819.34 KB 2025-07-21 16:25 rwxr-xr-x
ONLINE
git-core
166 items
15:12:10
TERMINAL FM
Edit
Preview
Download
Rename
Copy
Chmod
Delete
# This shell scriplet is meant to be included by other shell scripts # to set up some variables pointing at the normal git directories and # a few helper shell functions. # Having this variable in your environment would break scripts because # you would cause "cd" to be taken to unexpected places. If you # like CDPATH, define it for your interactive shell sessions without # exporting it. # But we protect ourselves from such a user mistake nevertheless. unset CDPATH # Similarly for IFS, but some shells (e.g. FreeBSD 7.2) are buggy and # do not equate an unset IFS with IFS with the default, so here is # an explicit SP HT LF. IFS=' ' git_broken_path_fix () { case ":$PATH:" in *:$1:*) : ok ;; *) PATH=$( SANE_TOOL_PATH="$1" IFS=: path= sep= set x $PATH shift for elem do case "$SANE_TOOL_PATH:$elem" in (?*:/bin | ?*:/usr/bin) path="$path$sep$SANE_TOOL_PATH" sep=: SANE_TOOL_PATH= esac path="$path$sep$elem" sep=: done echo "$path" ) ;; esac } # Source git-sh-i18n for gettext support. . "$(git --exec-path)/git-sh-i18n" die () { die_with_status 1 "$@" } die_with_status () { status=$1 shift printf >&2 '%s\n' "$*" exit "$status" } if test -n "$OPTIONS_SPEC"; then usage() { "$0" -h exit 1 } parseopt_extra= [ -n "$OPTIONS_KEEPDASHDASH" ] && parseopt_extra="--keep-dashdash" [ -n "$OPTIONS_STUCKLONG" ] && parseopt_extra="$parseopt_extra --stuck-long" eval "$( echo "$OPTIONS_SPEC" | git rev-parse --parseopt $parseopt_extra -- "$@" || echo exit $? )" else dashless=$(basename -- "$0" | sed -e 's/-/ /') usage() { die "$(eval_gettext "usage: \$dashless \$USAGE")" } if [ -z "$LONG_USAGE" ] then LONG_USAGE="$(eval_gettext "usage: \$dashless \$USAGE")" else LONG_USAGE="$(eval_gettext "usage: \$dashless \$USAGE $LONG_USAGE")" fi case "$1" in -h) echo "$LONG_USAGE" exit esac fi # Set the name of the end-user facing command in the reflog when the # script may update refs. When GIT_REFLOG_ACTION is already set, this # will not overwrite it, so that a scripted Porcelain (e.g. "git # rebase") can set it to its own name (e.g. "rebase") and then call # another scripted Porcelain (e.g. "git am") and a call to this # function in the latter will keep the name of the end-user facing # program (e.g. "rebase") in GIT_REFLOG_ACTION, ensuring whatever it # does will be record as actions done as part of the end-user facing # operation (e.g. "rebase"). # # NOTE NOTE NOTE: consequently, after assigning a specific message to # GIT_REFLOG_ACTION when calling a "git" command to record a custom # reflog message, do not leave that custom value in GIT_REFLOG_ACTION, # after you are done. Other callers of "git" commands that rely on # writing the default "program name" in reflog expect the variable to # contain the value set by this function. # # To use a custom reflog message, do either one of these three: # # (a) use a single-shot export form: # GIT_REFLOG_ACTION="$GIT_REFLOG_ACTION: preparing frotz" \ # git command-that-updates-a-ref # # (b) save the original away and restore: # SAVED_ACTION=$GIT_REFLOG_ACTION # GIT_REFLOG_ACTION="$GIT_REFLOG_ACTION: preparing frotz" # git command-that-updates-a-ref # GIT_REFLOG_ACITON=$SAVED_ACTION # # (c) assign the variable in a subshell: # ( # GIT_REFLOG_ACTION="$GIT_REFLOG_ACTION: preparing frotz" # git command-that-updates-a-ref # ) set_reflog_action() { if [ -z "${GIT_REFLOG_ACTION:+set}" ] then GIT_REFLOG_ACTION="$*" export GIT_REFLOG_ACTION fi } git_editor() { if test -z "${GIT_EDITOR:+set}" then GIT_EDITOR="$(git var GIT_EDITOR)" || return $? fi eval "$GIT_EDITOR" '"$@"' } git_pager() { if test -t 1 then GIT_PAGER=$(git var GIT_PAGER) else GIT_PAGER=cat fi for vardef in LESS=FRX LV=-c do var=${vardef%%=*} eval ": \"\${$vardef}\" && export $var" done eval "$GIT_PAGER" '"$@"' } is_bare_repository () { git rev-parse --is-bare-repository } cd_to_toplevel () { cdup=$(git rev-parse --show-toplevel) && cd "$cdup" || { gettextln "Cannot chdir to \$cdup, the toplevel of the working tree" >&2 exit 1 } } require_work_tree_exists () { if test "z$(git rev-parse --is-bare-repository)" != zfalse then program_name=$0 die "$(eval_gettext "fatal: \$program_name cannot be used without a working tree.")" fi } require_work_tree () { test "$(git rev-parse --is-inside-work-tree 2>/dev/null)" = true || { program_name=$0 die "$(eval_gettext "fatal: \$program_name cannot be used without a working tree.")" } } require_clean_work_tree () { git rev-parse --verify HEAD >/dev/null || exit 1 git update-index -q --ignore-submodules --refresh err=0 if ! git diff-files --quiet --ignore-submodules then action=$1 case "$action" in "rewrite branches") gettextln "Cannot rewrite branches: You have unstaged changes." >&2 ;; *) eval_gettextln "Cannot \$action: You have unstaged changes." >&2 ;; esac err=1 fi if ! git diff-index --cached --quiet --ignore-submodules HEAD -- then if test $err = 0 then action=$1 eval_gettextln "Cannot \$action: Your index contains uncommitted changes." >&2 else gettextln "Additionally, your index contains uncommitted changes." >&2 fi err=1 fi if test $err = 1 then test -n "$2" && echo "$2" >&2 exit 1 fi } # Generate a sed script to parse identities from a commit. # # Reads the commit from stdin, which should be in raw format (e.g., from # cat-file or "--pretty=raw"). # # The first argument specifies the ident line to parse (e.g., "author"), and # the second specifies the environment variable to put it in (e.g., "AUTHOR" # for "GIT_AUTHOR_*"). Multiple pairs can be given to parse author and # committer. pick_ident_script () { while test $# -gt 0 do lid=$1; shift uid=$1; shift printf '%s' " /^$lid /{ s/'/'\\\\''/g h s/^$lid "'\([^<]*\) <[^>]*> .*$/\1/'" s/.*/GIT_${uid}_NAME='&'/p g s/^$lid "'[^<]* <\([^>]*\)> .*$/\1/'" s/.*/GIT_${uid}_EMAIL='&'/p g s/^$lid "'[^<]* <[^>]*> \(.*\)$/@\1/'" s/.*/GIT_${uid}_DATE='&'/p } " done echo '/^$/q' } # Create a pick-script as above and feed it to sed. Stdout is suitable for # feeding to eval. parse_ident_from_commit () { LANG=C LC_ALL=C sed -ne "$(pick_ident_script "$@")" } # Parse the author from a commit given as an argument. Stdout is suitable for # feeding to eval to set the usual GIT_* ident variables. get_author_ident_from_commit () { encoding=$(git config i18n.commitencoding || echo UTF-8) git show -s --pretty=raw --encoding="$encoding" "$1" -- | parse_ident_from_commit author AUTHOR } # Generate a virtual base file for a two-file merge. Uses git apply to # remove lines from $1 that are not in $2, leaving only common lines. create_virtual_base() { sz0=$(wc -c <"$1") diff -u -La/"$1" -Lb/"$1" "$1" "$2" | git apply --no-add sz1=$(wc -c <"$1") # If we do not have enough common material, it is not # worth trying two-file merge using common subsections. expr $sz0 \< $sz1 \* 2 >/dev/null || : >"$1" } # Platform specific tweaks to work around some commands case $(uname -s) in *MINGW*) # Windows has its own (incompatible) sort and find sort () { /usr/bin/sort "$@" } find () { /usr/bin/find "$@" } # git sees Windows-style pwd pwd () { builtin pwd -W } is_absolute_path () { case "$1" in [/\\]* | [A-Za-z]:*) return 0 ;; esac return 1 } ;; *) is_absolute_path () { case "$1" in /*) return 0 ;; esac return 1 } esac # Make sure we are in a valid repository of a vintage we understand, # if we require to be in a git repository. git_dir_init () { GIT_DIR=$(git rev-parse --git-dir) || exit if [ -z "$SUBDIRECTORY_OK" ] then test -z "$(git rev-parse --show-cdup)" || { exit=$? gettextln "You need to run this command from the toplevel of the working tree." >&2 exit $exit } fi test -n "$GIT_DIR" && GIT_DIR=$(cd "$GIT_DIR" && pwd) || { gettextln "Unable to determine absolute path of git directory" >&2 exit 1 } : "${GIT_OBJECT_DIRECTORY="$(git rev-parse --git-path objects)"}" } if test -z "$NONGIT_OK" then git_dir_init fi peel_committish () { case "$1" in :/*) peeltmp=$(git rev-parse --verify "$1") && git rev-parse --verify "${peeltmp}^0" ;; *) git rev-parse --verify "${1}^0" ;; esac }